<!Doctype html>

<html lang="fr">
<head>
	<meta charset="utf-8">
	<title>Le jeu de Simon</title>
  <link rel="stylesheet" href="Simon_stylesheet.css" />
  <link href="https://fonts.googleapis.com/css?family=Libre+Baskerville" rel="stylesheet">
</head>
<body>
    <h1> Le jeu de Simon </h1>

    <nav class="menu">
      <button type="button" id="facile"><span class="pushed">Facile</span></button>  
      <button type="button" id="moyen"><span class="pushed">Moyen</span></button>  
      <button type="button" id="difficile"><span class="pushed">Difficile</span></button>  
      <button type="button" id="start"><span class="pushed">Start</span></button>  
    </nav>

	 <section class="simon1">
      <button type="button" id="rouge"><span class="pushed"></span></button>
      <button type="button" id="bleu"><span class="pushed"></span></button>
      <button type="button" id="vert"><span class="pushed"></span></button>
      <button type="button" id="jaune"><span class="pushed"></span></button>
    </section>
   
   <section class="simon2">
      <button type="button" id="sim2a"><span class="pushed"></span></button>
      <button type="button" id="sim2b"><span class="pushed"></span></button>
      <button type="button" id="sim2c"><span class="pushed"></span></button>
      <button type="button" id="sim2d"><span class="pushed"></span></button>
      <button type="button" id="sim2e"><span class="pushed"></span></button>
      <button type="button" id="sim2f"><span class="pushed"></span></button>
    </section>

    <section class="resultats">
      <output id="memorise"></output>    
      <output id="ecoule"></output>    
      <output id="perdu"></output>
    </section>



    <script type="text/javascript">
    var boutons = [document.getElementById("rouge"), document.getElementById("bleu"), document.getElementById("vert"), document.getElementById("jaune")];
    var sequence = [];
    document.getElementById("memorise").innerHTML = "Mémorise la séquence";
    document.getElementById("start").addEventListener("click",jouer);


    function jouer() {
    // 0 : initialisation
    for (var i = 0; i < 4; i++) {
      sequence.push(boutons[Math.floor(Math.random() * 4)]);
    }
      document.getElementById("ecoule").innerHTML = " ";
      document.getElementById("memorise").innerHTML = " ";
      document.getElementById("perdu").innerHTML = " ";

      setTimeout(allumer, 600);

    // 1 : montrer au joueur les boutons choisis
    var courant = 0;
    function allumer() {

      function eteindre(bouton_a_eteindre) {
        bouton_a_eteindre.classList.remove('actif');
      }

      // allumer le bouton
      sequence[courant].classList.add('actif');

      // différer l'extinction de 600ms
      setTimeout(eteindre, 600, sequence[courant]);

      // différer l'allumage du bouton suivant dans 700ms
      courant++;
      if (courant < sequence.length) {
        setTimeout(allumer, 700);
      } else {
        // quand la séquence est finie, on laisse le joueur jouer
        tourJoueur();
        }
    }
    
    function tourJoueur() {
      courant = 0;

      // au bout de cinq secondes, gameover
      var to = setTimeout(gameover, 5000);

      // écoutons les clics
      for (var i = 0; i < boutons.length; i++) {
        boutons[i].addEventListener("click", verif);
      }

      function gameover() {
        // ne pas oublier de retirer les écouteurs de clic
          document.getElementById("ecoule").innerHTML = "Temps écoulé";
        for (var i = 0; i < boutons.length; i++) {
          boutons[i].removeEventListener("click", verif);
        }
      }

      // comparer avec la séquence
      function verif() {
        // dans tous les cas, on retire le timeout qui lance le gameover à 5s
        clearTimeout(to);
        // this désigne le bouton cliqué
        if (this != sequence[courant]) {
          // perdu
          sequence = [];
          courant = 0;
          document.getElementById("perdu").innerHTML = "Perdu";
          // on retire les listeners
          for (var i = 0; i < boutons.length; i++) {
            boutons[i].removeEventListener("click", verif);
          }
        } else {
          // bon bouton
          courant++;
          if (courant < sequence.length) {
            // s'il reste des boutons à cliquer, c'est tout ce qu'il y a à faire, les boutons continuent d'écouter, le tour du joueur continue
            to = setTimeout(gameover, 5000);
          } else {
            // round gagné
            // on ajoute un bouton à la séquence
            sequence.push(boutons[Math.floor(Math.random() * 4)]);
            courant = 0;
            setTimeout(allumer, 300);
            // on retire les listeners, c'est à l'ordinateur de montrer la séquence
            for (var i = 0; i < boutons.length; i++) {
              boutons[i].removeEventListener("click", verif);
            }
          }
        }
      }
    }
/*
    allumer();*/
}


</script>

</body>

</html>